openmc(1)

NAME
openmc - Executes the OpenMC Monte Carlo code

DESCRIPTION
This command is used to execute the OpenMC Monte Carlo code. It is assumed that a set of XML input files has already been created and that ACE format cross sections are available.

SYNOPSIS
openmc [options] [path]

It is assumed that if no path is specified, the XML input files are present in the current directory.

OPTIONS

-g, --geometry-debug
    Run in geometry debugging mode, where cell overlaps are checked for after each move of a particle

-p, --plot
    Run in plotting mode

-r binaryFile, --restart binaryFile
    Restart a previous run from a state point or a particle restart file named binaryFile.

-s N, --threads N
    Use N OpenMP threads.

-t, --track
    Write tracks for all particles.

-v, --version
    Show version information.

-h, --help
    Show help message.

ENVIRONMENT VARIABLES
The behavior of openmc is affected by the following environment variables.

CROSS_SECTIONS
    Indicates the default path to the cross_sections.xml summary file that is used to locate ACE format cross section libraries if the user has not specified the <cross_sections> tag in settings.xml.

LICENSE
Copyright © 2011-2015 Massachusetts Institute of Technology.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

REPORTING BUGS
The OpenMC source code is hosted on GitHub at https://github.com/mit-crpg/openmc. With a github account, you can submit issues directly on the github repository that will then be reviewed by OpenMC developers. Alternatively, you can send a bug report to openmc-users@googlegroups.com.

AUTHOR
Paul K. Romano (paul.k.romano@gmail.com)